{% extends 'base.html.twig' %}

{% block title %}Task Manager{% endblock %}

{% block body %}

    <div class="container mt-5 p-5">
        <div class="row">
            <div class="col-6">
                <h2>Task list</h2>
            </div>
            <div class="col-6 d-flex justify-content-end">
                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal"
                        data-bs-whatever="@getbootstrap">Add new</button>
            </div>
        </div>
        <div class="row" id="tasks-table">
            <div class="col-12 mt-5">
                <div id="stateFilters" class="float-end">
                    {% for state in states %}
                        <label><input type="radio" class="state-filter" name="state" value="{{ state }}"><span class="m-2">{{ state }}</span></label>
                    {% endfor %}
                </div>
                <table class="table">
                    <thead>
                    <tr>
                        <th>Title</th>
                        <th>Description</th>
                        <th>Last update</th>
                        <th>State</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for task in tasks %}
                        <tr data-task-id="{{ task.id }}" class="{{ task.state }} task-row">
                            <td class="d-flex">
                                <div class="btn-group col-2">
                                    <button type="button" class="btn btn-link p-0" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <span class="dots-vertical"><i class="fas fa-ellipsis-v"></i></span> <!-- Utilisation de l'icône Font Awesome -->
                                    </button>
                                    <div class="dropdown-menu">
                                        <a class="dropdown-item" href="#" data-state="delete-task" data-id="{{ task.id }}">Delete</a>
                                        <a type="button" class="dropdown-item update-task-link" href="#" data-state="update-task"  data-bs-whatever="@getbootstrap"
                                           data-id="{{ task.id }}" data-bs-toggle="modal" data-bs-target="#updateModal">Update</a>
                                    </div>
                                </div>

                                <div class="col-4">
                                    {{ task.title }}
                                </div>
                            </td>
                            <td>{{ task.description }}</td>
                            <td>{{ task.creationDate|date('Y-m-d H:i:s') }}</td>
                            <td class="d-flex">
                                <div class="col-10" id="{{ task.id }}">
                                    {{ task.state }}
                                </div>

                                <div class="btn-group col-2">
                                    <button type="button" class="btn btn-link dropdown-toggle dropdown-toggle-split p-0 update-state" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        <span class="visually-hidden ml-4">Toggle Dropdown</span>
                                    </button>
                                    <div class="dropdown-menu">
                                        {% for state in states %}
                                            <a class="dropdown-item" href="#" data-state="{{ state }}">{{ state }}</a>
                                        {% endfor %}
                                    </div>
                                </div>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    {# Modals ADD & UPDATE TASK #}
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Add new task</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="updateModal" tabindex="-1" aria-labelledby="updateModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="updateModalLabel">Modifier la tâche</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                    </div>
                </div>
            </div>
        </div>
    {# endModals #}
{% endblock %}
